Skip to content

GeneralLedgerService⁠

Manage GL account records.

Operations⁠

updateGlAccountByID⁠

POST

Updates a general ledger account by its ID.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlAccountNumberstringoptional
GlAccountSuffixstringoptional
GlAccountBranchstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/generalledger/updateGlAccountByID
POST /nexum/627/persistent/generalledger/updateGlAccountByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlAccountNumber": "0000000000",
  "GlAccountSuffix": "0",
  "GlAccountBranch": "0",
  "GlAccountFields": {
    "Name": "string"
  }
}

updateGlAccountTrackingByID⁠

POST

Updates tracking for a general ledger account by its ID.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlAccountNumberstringoptional
GlAccountSuffixstringoptional
GlAccountBranchstringoptional
GlAccountTrackingLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/generalledger/updateGlAccountTrackingByID
POST /nexum/627/persistent/generalledger/updateGlAccountTrackingByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlAccountNumber": "string",
  "GlAccountSuffix": "string",
  "GlAccountBranch": "string",
  "GlAccountTrackingLocator": 0,
  "GlAccountTrackingFields": {
    "CreationDate": "string",
    "CreationTime": 0,
    "ExpireDate": "string",
    "FmLastDate": "string",
    "Id": "string",
    "IdType": 0,
    "Locator": 0,
    "RecordChangeDate": "string",
    "TrackingCode": 0,
    "Type": 0,
    "UserAmount1": 0,
    "UserAmount10": 0,
    "UserAmount11": 0,
    "UserAmount12": 0,
    "UserAmount13": 0,
    "UserAmount14": 0,
    "UserAmount15": 0,
    "UserAmount16": 0,
    "UserAmount17": 0,
    "UserAmount18": 0
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateGlSubaccountByID⁠

POST

Updates a subaccount for a general ledger account by its ID.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlAccountNumberstringoptional
GlAccountSuffixstringoptional
GlAccountBranchstringoptional
GlSubaccountIdstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/generalledger/updateGlSubaccountByID
POST /nexum/627/persistent/generalledger/updateGlSubaccountByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlAccountNumber": "string",
  "GlAccountSuffix": "string",
  "GlAccountBranch": "string",
  "GlSubaccountId": "string",
  "GlSubaccountFields": {
    "AccrualAmount": 0,
    "AccrualEffectDate": "string",
    "AccrualPostDate": "string",
    "AccrualPostThruDate": "string",
    "AccrualStartDate": "string",
    "AccruedAmount": 0,
    "AccruedCount": 0,
    "AcquisitionDate": "string",
    "CommentOne": "string",
    "CommentTwo": "string",
    "CurrentValue": 0,
    "Disposition": 0,
    "FirstMonthMethod": 0,
    "GlOffset": "string",
    "Id": "string",
    "InsMaturityDate": "string",
    "InsTypeDescription": "string",
    "InsuranceType": "string",
    "LastFmDate": "string",
    "LimitValue": 0
  },
  "nxAttributes": {
    "customFields": {}
  }
}

createGlAccount⁠

POST

Creates a general ledger account.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/generalledger/createGlAccount
POST /nexum/627/persistent/generalledger/createGlAccount HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlAccountFields": {
    "Number": "0",
    "Suffix": "0",
    "Branch": "0",
    "Name": "string",
    "Type": 0,
    "OpenCode": 0
  }
}

createGlAccountTracking⁠

POST

Creates tracking for a general ledger account.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlAccountNumberstringoptional
GlAccountSuffixstringoptional
GlAccountBranchstringoptional
Path Parameters
symstringrequired
Sym number
GlAccountTrackingLocatorintegeroptional
POST/nexum/{sym}/persistent/generalledger/createGlAccountTracking
POST /nexum/627/persistent/generalledger/createGlAccountTracking HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlAccountNumber": "string",
  "GlAccountSuffix": "string",
  "GlAccountBranch": "string",
  "GlAccountTrackingFields": {
    "CreationDate": "string",
    "CreationTime": 0,
    "ExpireDate": "string",
    "FmLastDate": "string",
    "Id": "string",
    "IdType": 0,
    "Locator": 0,
    "RecordChangeDate": "string",
    "TrackingCode": 0,
    "Type": 0,
    "UserAmount1": 0,
    "UserAmount10": 0,
    "UserAmount11": 0,
    "UserAmount12": 0,
    "UserAmount13": 0,
    "UserAmount14": 0,
    "UserAmount15": 0,
    "UserAmount16": 0,
    "UserAmount17": 0,
    "UserAmount18": 0
  },
  "nxAttributes": {
    "customFields": {}
  }
}

createGlSubaccount⁠

POST

Creates a subaccount for a general ledger account.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

GlAccountNumberstringoptional
GlAccountSuffixstringoptional
GlAccountBranchstringoptional
Path Parameters
symstringrequired
Sym number
GlSubaccountIdstringoptional
POST/nexum/{sym}/persistent/generalledger/createGlSubaccount
POST /nexum/627/persistent/generalledger/createGlSubaccount HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "GlAccountNumber": "0000000000",
  "GlAccountSuffix": "0",
  "GlAccountBranch": "0",
  "GlSubaccountFields": {
    "Id": "0",
    "Name": "string",
    "Type": 0,
    "GlOffset": "0"
  }
}